---
# https://github.com/jendrikseipp/vulture
include:
  - remote: https://jobs.just-ci.dev/v6.0.1/python/generic.yml

variables:
  VULTURE_MIN_CONFIDENCE: 100

python:vulture:
  stage: test
  variables:
    PACKAGE: vulture
  script:
    - !reference [".python:pre", script]
    - pip3 install . || true # installs package only if available
    - python3 -m vulture --min-confidence ${VULTURE_MIN_CONFIDENCE} . --exclude
      "${PYTHON_EXCLUDE_PATHS}"
